Move data storage to /srv/wdqs/ on codfw WDQS nodes
Closed, ResolvedPublic

Description

Data storage will be residing on /srv/wdqs/ on new codfw WDQS nodes. This may require some configuration changes in puppet and scap deployment.

Smalyshev created this task.Sep 1 2016, 8:09 PM

Change 308003 had a related patch set uploaded (by Smalyshev):
Make RWStore.properties configurable

https://gerrit.wikimedia.org/r/308003

Smalyshev assigned this task to Gehel.Sep 1 2016, 8:14 PM

Change 308023 had a related patch set uploaded (by Gehel):
wdqs - move data to /srv

https://gerrit.wikimedia.org/r/308023

Change 308023 merged by Gehel:
wdqs - move data to /srv

https://gerrit.wikimedia.org/r/308023

Change 308003 merged by Smalyshev:
Make RWStore.properties configurable

https://gerrit.wikimedia.org/r/308003

Gehel added a comment.Sep 8 2016, 9:51 AM

All known work is done and merged. Data import is in progress on codfw wdqs cluster which will validate that all this actually work. Steps left to be done:

  • data import on codfw (and check that everything work)
  • reinstall of eqiad cluster with new data directory
  • removal of wdqs specific partman configuration
Smalyshev closed this task as Resolved.Sep 24 2016, 12:02 AM
Gehel reopened this task as Open.Feb 6 2017, 1:44 PM

Re-opening, wdqs100[12] still need a reimage to match this new data path. This was on hold, waiting for the additional wdqs1003 server to be configured. Now that it is here, time to finish this migration.

Change 336219 had a related patch set uploaded (by Gehel):
wdqs - move data to /srv/wdqs to follow the usual partitioning scheme

https://gerrit.wikimedia.org/r/336219

Mentioned in SAL (#wikimedia-operations) [2017-02-06T15:16:07Z] <gehel> starting reimage of wdqs1001 - T144536

Change 336219 merged by Gehel:
wdqs1001 - move data to /srv/wdqs to follow the usual partitioning scheme

https://gerrit.wikimedia.org/r/336219

Change 336226 had a related patch set uploaded (by Gehel):
wdqs1002 - move data to /srv/wdqs to follow the usual partitioning scheme

https://gerrit.wikimedia.org/r/336226

Script wmf_auto_reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1001.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201702061525_gehel_24671.log.

Completed auto-reimage of hosts:

['wdqs1001.eqiad.wmnet']

and were ALL successful.

Script wmf_auto_reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1001.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201702061622_gehel_8724.log.

Completed auto-reimage of hosts:

['wdqs1001.eqiad.wmnet']

and were ALL successful.

Script wmf_auto_reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1001.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201702061836_gehel_14101.log.

Completed auto-reimage of hosts:

['wdqs1001.eqiad.wmnet']

and were ALL successful.

wdqs1001 has catched up on updates and is now repooled.

Change 336226 merged by Gehel:
wdqs1002 - move data to /srv/wdqs to follow the usual partitioning scheme

https://gerrit.wikimedia.org/r/336226

Script wmf_auto_reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['wdqs1002.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201702131114_gehel_18706.log.

Completed auto-reimage of hosts:

['wdqs1002.eqiad.wmnet']

and were ALL successful.

Smalyshev closed this task as Resolved.Feb 14 2017, 9:47 PM